/**************************************************************************/
/*									  */
/* Copyright (c) 2000 by Alexandr V.Shutko, Khabarovsk, Russia		  */
/* All rights reserved.							  */
/*									  */
/* Redistribution and use in source and binary forms, with or without	  */
/* modification, are permitted provided that the following conditions	  */
/* are met:								  */
/* 1. Redistributions of source code must retain the above copyright	  */
/*    notice, this list of conditions and the following disclaimer.	  */
/* 2. Redistributions in binary form must reproduce the above copyright	  */
/*    notice, this list of conditions and the following disclaimer in 	  */
/*    the documentation and/or other materials provided with the 	  */
/*    distribution.							  */
/*									  */
/* THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND */
/* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE  */
/* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 	  */
/* PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS  */
/* BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, 	  */
/* OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT   */
/* OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR 	  */
/* BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,  */
/* WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE   */
/* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 	  */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.			  */
/*									  */
/**************************************************************************/

#ifndef V5_DEFINES_H
#define V5_DEFINES_H

const unsigned short ICQ_CMDxSND_ACK               	= 0x000A; /* 0010 */
const unsigned short ICQ_CMDxSND_USER_LMETA		= 0x001e; /* 0030 */
const unsigned short ICQ_CMDxSND_LOGIN_ERR		= 0x7003; /* 0880 */
const unsigned short ICQ_CMDxSND_WRONGxPASSWD      	= 0x0064; /* 0100 */
const unsigned short ICQ_CMDxSND_BUSY                   = 0x00FA; /* 0250 */
const unsigned short ICQ_CMDxSND_HELLO             	= 0x005A; /* 0090 */
const unsigned short ICQ_CMDxSND_ERR_NOT_CONNECTED	= 0x00F0; /* 0240 */
const unsigned short ICQ_CMDxSND_USERxLISTxDONE    	= 0x021C; /* 0540 */
const unsigned short ICQ_CMDxSND_USERxONLINE       	= 0x006E; /* 0110 */
const unsigned short ICQ_CMDxSND_USERxOFFLINE      	= 0x0078; /* 0120 */
const unsigned short ICQ_CMDxSND_USERxSTATUS       	= 0x01A4; /* 0420 */

const unsigned short ICQ_CMDxRCV_ACK               	= 0x000A; /* 0010 */
const unsigned short ICQ_CMDxRCV_LOGON             	= 0x03E8; /* 1000 */
const unsigned short ICQ_CMDxRCV_USERxLIST         	= 0x0406; /* 1030 */
const unsigned short ICQ_CMDxRCV_PING              	= 0x042E; /* 1070 */
const unsigned short ICQ_CMDxRCV_SETxSTATUS             = 0x04D8; /* 1240 */
const unsigned short ICQ_CMDxRCV_PING2              	= 0x051E; /* 1310 */
const unsigned short ICQ_CMDxRCV_LOGOFF            	= 0x0438; /* 1080 */
const unsigned short ICQ_CMDxRCV_LOGINMETA            	= 0x064A; /* 1610 */

#endif /* v5_defines */
